<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
        integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="style.signup.css">
</head>
<body>
    <div class="container jumbotron">
        <h1>Signup</h1>
        <h4>to get started</h4>
        <input id="username" placeholder="Username" class="form-control" type="text">
        <input id="email" placeholder="Email" class="form-control" type="text">
        <input id="password" placeholder="Password" class="form-control" type="text">
        <input id="confirm-password" placeholder="Confirm password" class="form-control" type="text">
        <div class="term">
            <input type="checkbox">
        <p>Agree to Our terms and Conditions</p>
        </div>
        <button  id="btn-continue" class="btn btn-info">Continue</button>
        <p class="invite">Already registered? <span>Login</span></p>
    </div>
</body>
<script>
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  var gBASE_URL = "/api/auth";

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    $("#btn-continue").on("click",()=>{
        onBtnContinueClick()
    })
    // 3
    function onBtnContinueClick(){
        var vUser = {
            username:"",
            password:"",
            email:"",
        }
        //b1 Thu thập dữ liệu
        getDataToSignUp(vUser)
        // b2 Kiểm tra dữ liệu
        vValidate=isDataValidate(vUser)
        if(vValidate==true){
      // b3 gọi Api xử lý
      processApiToSignUp(vUser)
      }
        // b3 gọi Api xử lý
        processApiToSignUp(vUser)
    }
    function getDataToSignUp(paramObject){
        paramObject.username = $.trim($("#username").val())
        paramObject.password = $.trim($("#password").val())
        paramObject.email = $.trim($("#email").val())
    }
    function isDataValidate(paramObject){
        var vConfirmPassword = $.trim($("#confirm-password").val())
        if(!paramObject.username){
            alert("Blank username")
            return false
        }
        if(!paramObject.password){
            alert("Blank password")
            return false
        }
        if(paramObject.password!==vConfirmPassword){
            alert("wrong confirm password")
            return false
        }
        if(!paramObject.email){
            alert("Blank email")
            return false
        }
        return true
    }
    function processApiToSignUp(paramObject){
        $.ajax({
      url: gBASE_URL + "/signup",
      type: "POST",
      contentType: "application/json;charset=UTF-8",
      data: JSON.stringify(paramObject),
      success: function (response) {
        // B4: xử lý front-end
        alert(`
            Thêm user thành công`)
        window.location.href = "/"
      },
      error: function (paramErr) {
        console.log(paramErr.status);
      }
    });
    }
</script>
</html>